PKG-DELETE(8)

NAME
pkg delete - deletes packages from the database and the system

SYNOPSIS
pkg delete [-DfnqRy] [-Cgix] pkg-name ...
pkg delete [-Dnqy] -a

pkg delete [--{no-deinstall-script,force,dry-run,quiet,recursive,yes}] [--{case-sensitive,glob,case-insensitive,regex}] pkg-name ...
pkg delete [--{no-deinstall-script,dry-run,quiet,yes}] --all

DESCRIPTION
pkg delete is used for deleting installed packages from the system. pkg delete creates a work-list of all the installed packages matching the package names on the command line. The list is presented to the user. If the user confirms that they do want to remove those packages, or if the ASSUME_ALWAYS_YES configuration option is set, pkg delete proceeds to remove the listed packages.

If the set of packages to be deleted would leave installed packages with unfulfilled dependencies, pkg delete will add the packages with unfulfilled dependencies to the list of packages to be deleted, unless forced to proceed without deleting any other packages by the -f option.

pkg delete avoids deleting itself unless named specifically on the command line. So, for instance, pkg delete -a will delete all packages except for the pkg(8) package. To force all packages to be removed without exception, use pkg delete -fa.

OPTIONS
The following options are supported by pkg delete:

-a, --all
    Deletes all installed packages except for pkg(8) from the system and cleans the database of information related to removed packages.

-C, --case-sensitive
    Make the standard or regular expression (-x) matching against pkg-name case sensitive.

-D, --no-deinstall-script
    If a deinstallation script exists for a given package, do not execute it.

-f, --force
    Forces packages to be removed despite leaving unresolved dependencies. In combination with the -a or --all flag, causes pkg(8) to be removed as well as all other packages.

-g, --glob
    Treat the package names as shell glob patterns.

-i, --case-insensitive
    Make the standard or regular expression (-x) matching against pkg-name case insensitive. This is the default, unless modified by setting CASE_SENSITIVE_MATCH to true in pkg.conf.

-n, --dry-run
    Dry run mode. The list of packages to delete is always printed, but no packages are actually deleted.

-q, --quiet
    Force quiet output, except where -n is also used, when pkg delete will show the list of packages to be deleted.

-R, --recursive
    Delete all packages that require the listed packages as well.

-x, --regex
    Treat the package names as regular expressions according to the "modern" or "extended" syntax of re_format(7).

-y, --yes
    Assume yes when asked for confirmation before package deletion.

ENVIRONMENT
The following environment variables affect the execution of pkg delete. See pkg.conf(5) for further description.

DEFAULT_ALWAYS_YES

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PKG_DBDIR

CASE_SENSITIVE_MATCH

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)